## lamemp3enc lamemp3enc — High-quality free MP3 encoder |

## Properties

gint | bitrate | Read / Write / Construct
gboolean | cbr | Read / Write / Construct
GstLameMP3EncEncodingEngineQuality | encoding-engine-quality | Read / Write / Construct
gboolean | mono | Read / Write / Construct
gfloat | quality | Read / Write / Construct
GstLameMP3EncTarget | target | Read / Write / Construct

## Types and Values

struct | GstLameMP3Enc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioEncoder
                        ╰── GstLameMP3Enc

## Implemented Interfaces

GstLameMP3Enc implements GstPreset.

## Description

## Synopsis

### Element Information

plugin | lame
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000 }, channels=(int)1
| audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000 }, channels=(int)2, channel-mask=(bitmask)0x0000000000000003

name | src
direction | source
presence | always
details | audio/mpeg, mpegversion=(int)1, layer=(int)3, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000 }, channels=(int)[ 1, 2 ]

## Functions

## Types and Values

### struct GstLameMP3Enc

    struct GstLameMP3Enc;

## Property Details

### The `“bitrate”` property

      “bitrate”                  gint

Bitrate in kbit/sec (Only valid if target is bitrate, for CBR one of 8, 16, 24, 32, 40, 48, 56, 64, 80, 96, 112, 128, 160, 192, 224, 256 or 320).

Flags: Read / Write / Construct

Allowed values: [8,320]

Default value: 128

### The `“cbr”` property

      “cbr”                      gboolean

Enforce constant bitrate encoding (Only valid if target is bitrate).

Flags: Read / Write / Construct

Default value: FALSE

### The `“encoding-engine-quality”` property

      “encoding-engine-quality”  GstLameMP3EncEncodingEngineQuality

Quality/speed of the encoding engine, this does not affect the bitrate!.

Flags: Read / Write / Construct

Default value: Standard

### The `“mono”` property

      “mono”                     gboolean

Enforce mono encoding.

Flags: Read / Write / Construct

Default value: FALSE

### The `“quality”` property

      “quality”                  gfloat

VBR Quality from 0 to 10, 0 being the best (Only valid if target is quality).

Flags: Read / Write / Construct

Allowed values: [0,9.999]

Default value: 4

### The `“target”` property

      “target”                   GstLameMP3EncTarget

Optimize for quality or bitrate.

Flags: Read / Write / Construct

Default value: Quality